package com.goafanti.user.bo;

public class UserPartnerDetailBo {
	private String uid;
	
	private String	username;

	private Integer	province;
	
	private String	provinceS;

	private Long	number;

	private Integer	city;

	private Integer	area;

	private String	engagedField;

	private String	personalProfile;

	private Integer	level;

	private String	abilityLabel;

	private String	personPortraitUrl;

	private String	lifePhotoUrl;

	private String	interestId;
	
	/**用户名**/
	private String userName;
	/**工作单位**/
	private String workUnit;
	/**职位**/
	private String position;
	/**成就**/
	private String achievement;
	/**职业资格**/
	private String qualification;
	/**毕业院校**/
	private String graduate_school;
	/**专业类别**/
	private String major_category;
	/**个人、单位**/
	private String type;
	
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getGraduate_school() {
		return graduate_school;
	}

	public void setGraduate_school(String graduate_school) {
		this.graduate_school = graduate_school;
	}

	public String getMajor_category() {
		return major_category;
	}

	public void setMajor_category(String major_category) {
		this.major_category = major_category;
	}

	public String getQualification() {
		return qualification;
	}

	public void setQualification(String qualification) {
		this.qualification = qualification;
	}

	public String getInterestId() {
		return interestId;
	}

	public void setInterestId(String interestId) {
		this.interestId = interestId;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getCity() {
		return city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}

	public Integer getArea() {
		return area;
	}

	public void setArea(Integer area) {
		this.area = area;
	}

	public String getEngagedField() {
		return engagedField;
	}

	public void setEngagedField(String engagedField) {
		this.engagedField = engagedField;
	}

	public String getPersonalProfile() {
		return personalProfile;
	}

	public void setPersonalProfile(String personalProfile) {
		this.personalProfile = personalProfile;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getAbilityLabel() {
		return abilityLabel;
	}

	public void setAbilityLabel(String abilityLabel) {
		this.abilityLabel = abilityLabel;
	}

	public String getPersonPortraitUrl() {
		return personPortraitUrl;
	}

	public void setPersonPortraitUrl(String personPortraitUrl) {
		this.personPortraitUrl = personPortraitUrl;
	}

	public String getLifePhotoUrl() {
		return lifePhotoUrl;
	}

	public void setLifePhotoUrl(String lifePhotoUrl) {
		this.lifePhotoUrl = lifePhotoUrl;
	}

	public Long getNumber() {
		return number;
	}

	public void setNumber(Long number) {
		this.number = number;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getWorkUnit() {
		return workUnit;
	}

	public void setWorkUnit(String workUnit) {
		this.workUnit = workUnit;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getAchievement() {
		return achievement;
	}

	public void setAchievement(String achievement) {
		this.achievement = achievement;
	}

	public String getProvinceS() {
		return provinceS;
	}

	public void setProvinceS(String provinceS) {
		this.provinceS = provinceS;
	}
	
	

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	@Override
	public String toString() {
		return "reuserPartner [username=" + username + ", province=" + province + ", provinceS=" + provinceS
				+ ", number=" + number + ", city=" + city + ", area=" + area + ", engagedField=" + engagedField
				+ ", personalProfile=" + personalProfile + ", level=" + level + ", abilityLabel=" + abilityLabel
				+ ", personPortraitUrl=" + personPortraitUrl + ", lifePhotoUrl=" + lifePhotoUrl + ", interestId="
				+ interestId + ", userName=" + userName + ", workUnit=" + workUnit + ", position=" + position
				+ ", achievement=" + achievement + "]";
	}

	
	
}
